/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_$(appNameUpper)_H_)
#define _$(appNameUpper)_H_

#if !defined(PACKAGE)
#define PACKAGE "$(packageName)"
#endif

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#include <app.h>
#include <Elementary.h>
#include <system_settings.h>
#include <efl_extension.h>
#include <dlog.h>

#define APP_VIEW_EDJ "app_view.edj"
#define ICON_DIR "images"

typedef struct appdata {
	Evas_Object *win;
	Evas_Object *conform;
	Evas_Object *nf;
} appdata_s;

void editfield_cb(void *data, Evas_Object *obj, void *event_info);
void nocontent_cb(void *data, Evas_Object *obj, void *event_info);
void searchbar_cb(void *data, Evas_Object *obj, void *event_info);
void login_cb(void *data, Evas_Object *obj, void *event_info);
void search_cb(void *data, Evas_Object *obj, void *event_info);
void scroll_in_scroll_cb(void *data, Evas_Object *obj, void *event_info);
void app_get_resource(const char *res_file_in, char *res_file_out, int path_max);

#endif
